# Экзаменационное задание

1. В виртуальную машину examX (здесь и далее X - ваш идентификатор) установите debian из образа `debian-11.4.0-amd64-netinst.iso`. Сохраните в текстовый файл сделанный выбор в меню установки. Создайте пользователя stud во время или после установки.

2. Настройте подключение к сети интернет с помощью systemd. В качестве адреса установите `10.160.179.150+X/24`, в качестве шлюза `10.160.179.1`. 

Примечание: удалите пакет `ifupdown` и установите символическую ссылку `/etc/resolv.conf` на `/run/systemd/resolve/resolv.conf`.

3. Настройте `apt`. Обновите все пакеты в системе.

4. Настройте пользователя `stud`. Доступ к домашней папке пользователя должен быть только у владельца. Пользователь должен иметь возможность переходить в суперпользователя командой `sudo`.

5. Настройте беспарольный доступ с машины `studX` на новую для пользователя `stud`. Запретите доступ на машину по паролю.

6. Установите и настройте `nginx`. Поместите index.html в `/var/www/cv` с краткой информацией о себе. Настройте сайт в `nginx` конфигурации, который возвращает эту страницу по запросу https://10.160.179.150+X:443. Для проверки используйте команду `curl --insecure` с машины `studX`. Сайт должен использовать самоподписанный сертификат выданный на 90 дней с ключом, сгенерированным по алгоритму rsa размером 2048 бит, параметрами: C=RU, ST=Samara, L=Samara, O=MyOffice, OU=IT, CN=studX.cv.myoffice.ru. Настройте `nginx` сервис на перезапуск в случае отказа.